---
apiVersion: v1
kind: Secret
metadata:
  name: {{ include "wsdataselect.fullname" . }}
type: Opaque
stringData:
  {{- range $key, $val := .Values.secrets }}
  {{ $key }}: "{{ $val }}"
  {{- end }}
---
apiVersion: v1
kind: Secret
metadata:
  name: {{ include "wsdataselect.fullname" . }}-fdsnwsstats
type: Opaque
stringData:
  {{- range $key, $val := .Values.fdsnwsstats.secrets }}
  {{ $key }}: "{{ $val }}"
  {{- end }}
